## r-bioc-limma 3.46.0+dfsg

=== DESCRIPTION ===
Package: limma
Version: 3.46.0
Date: 2020-10-19
Title: Linear Models for Microarray Data
Description: Data analysis, linear models and differential expression for microarray data.
Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
Maintainer: Gordon Smyth <smyth@wehi.edu.au>
License: GPL (>=2)
Depends: R (>= 3.6.0)
Imports: grDevices, graphics, stats, utils, methods
Suggests: affy, AnnotationDbi, BiasedUrn, Biobase, ellipse, GO.db,
        gplots, illuminaio, locfit, MASS, org.Hs.eg.db, splines,
        statmod (>= 1.2.2), vsn
URL: http://bioinf.wehi.edu.au/limma
biocViews: ExonArray, GeneExpression, Transcription,
        AlternativeSplicing, DifferentialExpression,
        DifferentialSplicing, GeneSetEnrichment, DataImport, Bayesian,
        Clustering, Regression, TimeCourse, Microarray, MicroRNAArray,
        mRNAMicroarray, OneChannel, ProprietaryPlatforms, TwoChannel,
        Sequencing, RNASeq, BatchEffect, MultipleComparison,
        Normalization, Preprocessing, QualityControl,
        BiomedicalInformatics, CellBiology, Cheminformatics,
        Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
        Metabolomics, Proteomics, SystemsBiology, Transcriptomics
git_url: https://git.bioconductor.org/packages/limma
git_branch: RELEASE_3_12
git_last_commit: ff03542
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 01:14:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.46.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 10:38:28 +0100

=== debian/control ===
Source: r-bioc-limma
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
Homepage: https://bioconductor.org/packages/limma/
Rules-Requires-Root: no

Package: r-bioc-limma
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: linear models for microarray data
 Microarrays are microscopic plates with carefully arranged short DNA
 strands and/or chemically prepared surfaces to which other DNA
 preferably binds. The amount of DNA binding at different locations of
 these chips, typically determined by a fluorescent dye, is to be
 interpreted. The technology is typically used with DNA that is derived
 from RNA, i.e to determine the activity of a gene and/or its splice
 variants. But the technology is also used to determine sequence
 variations in genomic DNA.
 .
 This Bioconductor package supports the analysis of gene expression
 microarray data, especially the use of linear models for analysing
 designed experiments and the assessment of differential expression. The
 package includes pre-processing capabilities for two-colour spotted
 arrays. The differential expression methods apply to all array platforms
 and treat Affymetrix, single channel and two channel experiments in a
 unified way.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repack,compression=xz" \
  https://www.bioconductor.org/packages/release/bioc/html/limma.html ../src/contrib/limma_(.*).tar.gz

## r-bioc-limma 3.50.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
 Homepage: https://bioconductor.org/packages/limma/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-mass, r-cran-statmod, r-bioc-go.db, r-bioc-org.hs.eg.db, r-cran-locfit
Restrictions: allow-stderr

## r-bioc-limma 3.50.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: limma
-Version: 3.46.0
-Date: 2020-10-19
+Version: 3.50.0
+Date: 2021-10-24
 Title: Linear Models for Microarray Data
 Description: Data analysis, linear models and differential expression for microarray data.
 Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
@@ -23,9 +23,9 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_12
-git_last_commit: ff03542
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 657b19b
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 01:14:21 UTC; biocbuild
+Packaged: 2021-10-26 21:45:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.50.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Contact.
  * Remove useless debian/source/include-binaries

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 11:09:01 +0100

r-bioc-limma (3.48.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Sep 2021 20:23:47 +0200

## r-bioc-limma 3.52.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: limma
-Version: 3.50.0
-Date: 2021-10-24
+Version: 3.52.2
+Date: 2022-06-05
 Title: Linear Models for Microarray Data
 Description: Data analysis, linear models and differential expression for microarray data.
 Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
@@ -23,9 +23,9 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_14
-git_last_commit: 657b19b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: b0b1b7c
+git_last_commit_date: 2022-06-04
+Date/Publication: 2022-06-19
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:45:38 UTC; biocbuild
+Packaged: 2022-06-19 21:42:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.52.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2022 10:43:45 +0200

r-bioc-limma (3.52.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:06:59 +0200

r-bioc-limma (3.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 12:25:32 +0200

r-bioc-limma (3.50.1+dfsg-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 14:32:13 +0100

r-bioc-limma (3.50.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 12:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-bioc-limma
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Kevin Murray <kdmfoss@gmail.com>,
            Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
+Homepage: https://bioconductor.org/packages/limma/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
-Homepage: https://bioconductor.org/packages/limma/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-limma
 Architecture: any

## r-bioc-limma 3.54.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: limma
-Version: 3.52.2
-Date: 2022-06-05
+Version: 3.54.1
+Date: 2023-01-26
 Title: Linear Models for Microarray Data
 Description: Data analysis, linear models and differential expression for microarray data.
 Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
@@ -23,9 +23,9 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_15
-git_last_commit: b0b1b7c
-git_last_commit_date: 2022-06-04
-Date/Publication: 2022-06-19
+git_branch: RELEASE_3_16
+git_last_commit: e4e922d
+git_last_commit_date: 2023-01-26
+Date/Publication: 2023-01-26
 NeedsCompilation: yes
-Packaged: 2022-06-19 21:42:18 UTC; biocbuild
+Packaged: 2023-01-26 21:56:14 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.54.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 11:29:31 +0100

r-bioc-limma (3.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:52:08 +0100

r-bioc-limma (3.52.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 04 Oct 2022 20:06:59 +0200

r-bioc-limma (3.52.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 07:23:03 +0200

## r-bioc-limma 3.56.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: limma
-Version: 3.54.1
-Date: 2023-01-26
+Version: 3.56.2
+Date: 2023-06-03
 Title: Linear Models for Microarray Data
 Description: Data analysis, linear models and differential expression for microarray data.
 Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
@@ -11,7 +11,7 @@
 Suggests: affy, AnnotationDbi, BiasedUrn, Biobase, ellipse, GO.db,
         gplots, illuminaio, locfit, MASS, org.Hs.eg.db, splines,
         statmod (>= 1.2.2), vsn
-URL: http://bioinf.wehi.edu.au/limma
+URL: https://bioinf.wehi.edu.au/limma/
 biocViews: ExonArray, GeneExpression, Transcription,
         AlternativeSplicing, DifferentialExpression,
         DifferentialSplicing, GeneSetEnrichment, DataImport, Bayesian,
@@ -23,9 +23,9 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_16
-git_last_commit: e4e922d
-git_last_commit_date: 2023-01-26
-Date/Publication: 2023-01-26
+git_branch: RELEASE_3_17
+git_last_commit: e19b8e7
+git_last_commit_date: 2023-06-03
+Date/Publication: 2023-06-04
 NeedsCompilation: yes
-Packaged: 2023-01-26 21:56:14 UTC; biocbuild
+Packaged: 2023-06-04 21:08:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.56.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
 Homepage: https://bioconductor.org/packages/limma/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-limma 3.58.1+dfsg

=== DESCRIPTION ===
Package: limma
Version: 3.58.1
Date: 2023-10-31
Title: Linear Models for Microarray Data
Description: Data analysis, linear models and differential expression for microarray data.
Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
Maintainer: Gordon Smyth <smyth@wehi.edu.au>
License: GPL (>=2)
Depends: R (>= 3.6.0)
Imports: grDevices, graphics, stats, utils, methods, statmod
Suggests: BiasedUrn, ellipse, gplots, knitr, locfit, MASS, splines,
        affy, AnnotationDbi, Biobase, BiocStyle, GO.db, illuminaio,
        org.Hs.eg.db, vsn
VignetteBuilder: knitr
URL: https://bioinf.wehi.edu.au/limma/
biocViews: ExonArray, GeneExpression, Transcription,
        AlternativeSplicing, DifferentialExpression,
        DifferentialSplicing, GeneSetEnrichment, DataImport, Bayesian,
        Clustering, Regression, TimeCourse, Microarray, MicroRNAArray,
        mRNAMicroarray, OneChannel, ProprietaryPlatforms, TwoChannel,
        Sequencing, RNASeq, BatchEffect, MultipleComparison,
        Normalization, Preprocessing, QualityControl,
        BiomedicalInformatics, CellBiology, Cheminformatics,
        Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
        Metabolomics, Proteomics, SystemsBiology, Transcriptomics
git_url: https://git.bioconductor.org/packages/limma
git_branch: RELEASE_3_18
git_last_commit: 27e81a0
git_last_commit_date: 2023-10-30
Date/Publication: 2023-10-31
NeedsCompilation: yes
Packaged: 2023-10-31 21:34:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.58.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 21:04:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               r-cran-statmod
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-limma

## r-bioc-limma 3.60.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: limma
-Version: 3.58.1
-Date: 2023-10-31
+Version: 3.60.4
+Date: 2024-07-15
 Title: Linear Models for Microarray Data
-Description: Data analysis, linear models and differential expression for microarray data.
-Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb]
+Description: Data analysis, linear models and differential expression for microarray and RNA-seq data.
+Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Goknur Giner [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb], Charity Law [ctb], Mengbo Li [ctb]
 Maintainer: Gordon Smyth <smyth@wehi.edu.au>
 License: GPL (>=2)
 Depends: R (>= 3.6.0)
@@ -24,9 +24,10 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_18
-git_last_commit: 27e81a0
-git_last_commit_date: 2023-10-30
-Date/Publication: 2023-10-31
+git_branch: RELEASE_3_19
+git_last_commit: 481eb97
+git_last_commit_date: 2024-07-15
+Repository: Bioconductor 3.19
+Date/Publication: 2024-07-17
 NeedsCompilation: yes
-Packaged: 2023-10-31 21:34:17 UTC; biocbuild
+Packaged: 2024-07-17 22:02:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.60.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:37:54 +0200

r-bioc-limma (3.60.4+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 10:40:48 +0200

r-bioc-limma (3.60.4+dfsg-1~0exp0) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 20:46:33 +0200

r-bioc-limma (3.60.3+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 22:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-statmod
+               r-cran-statmod,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-limma
@@ -22,7 +23,13 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-affy (>= 1.82.0),
+          r-bioc-annotationdbi (>= 1.66.0),
+          r-bioc-biobase (>= 2.64.0),
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-go.db (>= 3.19.1),
+          r-bioc-org.hs.eg.db (>= 3.19.1)
 Description: linear models for microarray data
  Microarrays are microscopic plates with carefully arranged short DNA
  strands and/or chemically prepared surfaces to which other DNA

## r-bioc-limma 3.60.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: limma
-Version: 3.60.4
-Date: 2024-07-15
-Title: Linear Models for Microarray Data
-Description: Data analysis, linear models and differential expression for microarray and RNA-seq data.
+Version: 3.60.6
+Date: 2024-09-30
+Title: Linear Models for Microarray and Omics Data
+Description: Data analysis, linear models and differential expression for omics data.
 Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Goknur Giner [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb], Charity Law [ctb], Mengbo Li [ctb]
 Maintainer: Gordon Smyth <smyth@wehi.edu.au>
 License: GPL (>=2)
@@ -25,9 +25,9 @@
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
 git_branch: RELEASE_3_19
-git_last_commit: 481eb97
-git_last_commit_date: 2024-07-15
+git_last_commit: 0fe58f7
+git_last_commit_date: 2024-09-30
 Repository: Bioconductor 3.19
-Date/Publication: 2024-07-17
+Date/Publication: 2024-10-02
 NeedsCompilation: yes
-Packaged: 2024-07-17 22:02:02 UTC; biocbuild
+Packaged: 2024-10-02 22:11:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.60.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2024 14:38:12 +0900

## r-bioc-limma 3.62.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: limma
-Version: 3.60.6
-Date: 2024-09-30
+Version: 3.62.2
+Date: 2025-01-09
 Title: Linear Models for Microarray and Omics Data
 Description: Data analysis, linear models and differential expression for omics data.
-Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Goknur Giner [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb], Charity Law [ctb], Mengbo Li [ctb]
+Author: Gordon Smyth [cre,aut], Yifang Hu [ctb], Matthew Ritchie [ctb], Jeremy Silver [ctb], James Wettenhall [ctb], Davis McCarthy [ctb], Di Wu [ctb], Wei Shi [ctb], Belinda Phipson [ctb], Aaron Lun [ctb], Natalie Thorne [ctb], Alicia Oshlack [ctb], Carolyn de Graaf [ctb], Yunshun Chen [ctb], Goknur Giner [ctb], Mette Langaas [ctb], Egil Ferkingstad [ctb], Marcus Davy [ctb], Francois Pepin [ctb], Dongseok Choi [ctb], Charity Law [ctb], Mengbo Li [ctb], Lizhong Chen [ctb]
 Maintainer: Gordon Smyth <smyth@wehi.edu.au>
 License: GPL (>=2)
 Depends: R (>= 3.6.0)
@@ -24,10 +24,10 @@
         Epigenetics, FunctionalGenomics, Genetics, ImmunoOncology,
         Metabolomics, Proteomics, SystemsBiology, Transcriptomics
 git_url: https://git.bioconductor.org/packages/limma
-git_branch: RELEASE_3_19
-git_last_commit: 0fe58f7
-git_last_commit_date: 2024-09-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-10-02
+git_branch: RELEASE_3_20
+git_last_commit: 5d5c76a
+git_last_commit_date: 2025-01-09
+Repository: Bioconductor 3.20
+Date/Publication: 2025-01-09
 NeedsCompilation: yes
-Packaged: 2024-10-02 22:11:25 UTC; biocbuild
+Packaged: 2025-01-09 23:01:52 UTC; biocbuild

=== debian/changelog ===
r-bioc-limma (3.62.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Jan 2025 00:03:23 +0100

r-bioc-limma (3.62.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:49:35 +0100

r-bioc-limma (3.62.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:43:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-limma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-limma.git
 Homepage: https://bioconductor.org/packages/limma/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -23,13 +23,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-affy (>= 1.82.0),
-          r-bioc-annotationdbi (>= 1.66.0),
-          r-bioc-biobase (>= 2.64.0),
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-go.db (>= 3.19.1),
-          r-bioc-org.hs.eg.db (>= 3.19.1)
+Suggests: ${R:Suggests}
 Description: linear models for microarray data
  Microarrays are microscopic plates with carefully arranged short DNA
  strands and/or chemically prepared surfaces to which other DNA

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod -x $(debRlib)/$(cranNameOrig)/CITATION
	chmod -x $(debRlib)/$(cranNameOrig)/doc/*

override_dh_installchangelogs:
	dh_installchangelogs inst/doc/changelog.txt
